AI agents API
74 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/agent-hierarchy |
Get Hierarchy |
GET |
/api/agent-hierarchy/ |
Get Hierarchy |
GET |
/api/agent-hub/actions |
List Actions Query: agent_type, status, limit, offset. |
GET |
/api/agent-hub/activity-feed |
Get Activity Feed Query: limit. |
GET |
/api/agent-hub/agents |
List Agents |
GET |
/api/agent-hub/approvals |
List Pending Approvals |
POST |
/api/agent-hub/approvals/{action_id}/approve |
Approve Action |
POST |
/api/agent-hub/approvals/{action_id}/reject |
Reject Action |
GET |
/api/agent-hub/custom-agents |
List Custom Agents |
POST |
/api/agent-hub/custom-agents |
Create Custom Agent Accepts a JSON body. |
PATCH |
/api/agent-hub/custom-agents/{agent_id} |
Update Custom Agent Accepts a JSON body. |
DELETE |
/api/agent-hub/custom-agents/{agent_id} |
Delete Custom Agent |
POST |
/api/agent-hub/custom-agents/{agent_id}/run |
Run Custom Agent |
GET |
/api/agent-hub/custom-agents/{agent_id}/runs |
Get Custom Agent Runs Query: limit. |
GET |
/api/agent-hub/dashboard |
Get Dashboard Metrics |
GET |
/api/agent-hub/digest |
Get Weekly Digest |
GET |
/api/agent-hub/goals |
List Orchestrations Query: status, limit, offset. |
POST |
/api/agent-hub/goals |
Submit Goal Accepts a JSON body. |
GET |
/api/agent-hub/goals/{goal_id} |
Get Orchestration |
GET |
/api/agent-hub/guardrails |
List Guardrails |
POST |
/api/agent-hub/guardrails |
Create Guardrail Accepts a JSON body. |
PATCH |
/api/agent-hub/guardrails/{guardrail_id} |
Update Guardrail Accepts a JSON body. |
DELETE |
/api/agent-hub/guardrails/{guardrail_id} |
Delete Guardrail |
GET |
/api/agent-hub/marketplace |
List Marketplace Templates Query: category. |
POST |
/api/agent-hub/marketplace/{template_id}/activate |
Activate Marketplace Template |
GET |
/api/agent-hub/report-style-default |
Get Report Style Default |
PUT |
/api/agent-hub/report-style-default |
Set Report Style Default Accepts a JSON body. |
GET |
/api/agent-hub/report-styles |
List Report Styles |
GET |
/api/cs-agent/actions |
List Actions Query: action_type, account_id, limit, offset. |
POST |
/api/cs-agent/analyze-health |
On Demand Health Analysis Accepts a JSON body. |
GET |
/api/cs-agent/config |
List Config |
PUT |
/api/cs-agent/config/{key} |
Upsert Config Accepts a JSON body. |
GET |
/api/cs-agent/dashboard |
Cs Agent Dashboard |
POST |
/api/cs-agent/initiate-action |
Initiate Action Accepts a JSON body. |
POST |
/api/cs-agent/intervene/{account_id} |
On Demand Intervene |
POST |
/api/cs-agent/predict-churn |
On Demand Churn Prediction Accepts a JSON body. |
GET |
/api/cs-agent/predictions |
List Predictions Query: risk_label, min_score, limit, offset. |
GET |
/api/cs-agent/predictions/{account_id} |
Get Account Predictions Query: limit. |
POST |
/api/cs-agent/summarize |
On Demand Summarize Accepts a JSON body. |
GET |
/api/sdr-agents/ |
List Agents Query: is_active, limit, offset. |
POST |
/api/sdr-agents/ |
Create Agent Accepts a JSON body. |
GET |
/api/sdr-agents/dashboard-stats |
Dashboard Stats |
GET |
/api/sdr-agents/drafts/ |
List All Drafts Query: review_status, limit, offset. |
PATCH |
/api/sdr-agents/drafts/{draft_id}/approve |
Approve Draft |
PATCH |
/api/sdr-agents/drafts/{draft_id}/edit |
Edit Draft Accepts a JSON body. |
PATCH |
/api/sdr-agents/drafts/{draft_id}/reject |
Reject Draft Accepts a JSON body. |
GET |
/api/sdr-agents/{agent_id} |
Get Agent |
PATCH |
/api/sdr-agents/{agent_id} |
Update Agent Accepts a JSON body. |
DELETE |
/api/sdr-agents/{agent_id} |
Delete Agent |
POST |
/api/sdr-agents/{agent_id}/draft-batch |
Draft Batch Accepts a JSON body. |
GET |
/api/sdr-agents/{agent_id}/drafts |
List Agent Drafts Query: review_status, limit, offset. |
POST |
/api/sdr-agents/{agent_id}/research-batch |
Research Batch Accepts a JSON body. |
POST |
/api/sdr-agents/{agent_id}/run |
Run Agent |
GET |
/api/sdr-agents/{agent_id}/stats |
Agent Stats |
GET |
/api/sdr-agents/{agent_id}/tasks |
List Agent Tasks Query: status, limit, offset. |
POST |
/api/sdr-agents/{agent_id}/tasks |
Create Agent Task Accepts a JSON body. |
GET |
/api/tenant/agents |
List Agents Query: kind, q, limit, offset. |
GET |
/api/tenant/agents/ |
List Agents Query: kind, q, limit, offset. |
GET |
/api/tenant/agents/account/{account_id} |
Get Account Agent |
POST |
/api/tenant/agents/account/{account_id}/refresh |
Refresh Account Agent |
POST |
/api/tenant/agents/materialize |
Materialize Agent Accepts a JSON body. |
GET |
/api/tenant/agents/me |
Get My Agent |
PATCH |
/api/tenant/agents/me |
Rename My Agent Accepts a JSON body. |
GET |
/api/tenant/agents/me/conversation |
Get Conversation Query: scope. |
PUT |
/api/tenant/agents/me/conversation |
Save Conversation Accepts a JSON body. |
DELETE |
/api/tenant/agents/me/conversation |
Clear Conversation Query: scope. |
GET |
/api/tenant/agents/me/greeting |
My Agent Greeting |
POST |
/api/tenant/agents/me/refresh |
Refresh My Agent |
GET |
/api/tenant/agents/{agent_id} |
Get Agent |
PATCH |
/api/tenant/agents/{agent_id} |
Update Agent Accepts a JSON body. |
GET |
/api/tenant/agents/{agent_id}/history |
Get Agent History |
GET |
/api/tenant/agents/{agent_id}/impact |
Get Agent Impact |
GET |
/api/tenant/agents/{agent_id}/log |
Get Agent Log Query: limit. |
POST |
/api/tenant/agents/{agent_id}/refresh |
Refresh Agent |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.